/*
 * SPDX-FileCopyrightText: 2019-2026 Mattia Basaglia <dev@dragon.best>
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 */
#include "glaxnimate/module/module.hpp"

#include "glaxnimate/module/thorvg/thorvg_module.hpp"
#include "glaxnimate/module/gzip/gzip_module.hpp"
#include "glaxnimate/module/extraformats/extraformats_module.hpp"


void glaxnimate::module::Registry::register_loaded_modules(Registry& registry)
{
registry.install<glaxnimate::thorvg::Module>();
registry.install<glaxnimate::gzip::Module>();
registry.install<glaxnimate::extraformats::Module>();

}
